View Issue Details

IDProjectCategoryView StatusLast Update
0031762Open CASCADEOCCT:Visualizationpublic2020-12-02 17:13
Reporterkgv Assigned Toabv  
PrioritynormalSeverityminor 
Status closedResolutionfixed 
Product Version6.6.0 
Target Version7.5.0Fixed in Version7.5.0 
Summary0031762: Visualization, Font_TextFormatter - tabulation length is respected with one extra symbol shift
DescriptionTest case below shows that Font_TextFormatter adds unexpected extra symbol shift while formatting tabulation of length 8.
Steps To Reproduce
pload MODELING VISUALIZATION
vinit View1
vdrawtext t1 "1234567890\n1\t90\n12\t90\n123\t90\n1234\t90" -pos 0 0 0

1234567890
1	9

vdrawtext t2 "1234567890\n#1\t90\n#12\t90\n#123\t90\n#1234\t90" -pos 0 0 -25

1234567890
0000001 	9

vdrawtext t3 "1234567890\n1\t 90\n12\t 90\n123\t 90\n1234\t 90" -pos 0 0 -50

1234567890
1 	9

vfit; vzoom 0.5


for old OCCT:
pload MODELING VISUALIZATION
vinit View1
vdrawtext t1 "1234567890\n1\t90\n12\t90\n123\t90\n1234\t90" -pos 0 0 0

1234567890
1	9

vdrawtext t2 "1234567890\n#1\t90\n#12\t90\n#123\t90\n#1234\t90" -pos 0 0 -25

1234567890
0000001 	9

vdrawtext t3 "1234567890\n1\t 90\n12\t 90\n123\t 90\n1234\t 90" -pos 0 0 -50

1234567890
1 	9

vfit; vzoom 0.5
TagsNo tags attached.
Test case number3rdparty/fonts/tabs

Attached Files

  • tab8_notepad_OK.png (15,252 bytes)
  • tab8_notepad2_OK.png (12,186 bytes)
  • tab8_draw_740_KO.png (7,566 bytes)
  • tab8_draw_750_OK.png (8,516 bytes)
  • tab8_draw_654_OK.png (9,508 bytes)

Relationships

related to 0030537 closednds Open CASCADE Visualization - wrapping text in font text formatter 
child of 0023457 closedkgv Community Slow text rendering 

Activities

kgv

2020-09-12 10:18

developer  

tab8_notepad_OK.png (15,252 bytes)

kgv

2020-09-12 10:18

developer  

tab8_notepad2_OK.png (12,186 bytes)

kgv

2020-09-12 10:18

developer  

tab8_draw_740_KO.png (7,566 bytes)

kgv

2020-09-12 10:19

developer  

tab8_draw_750_OK.png (8,516 bytes)

kgv

2020-09-12 10:23

developer   ~0094529

Last edited: 2020-09-12 10:32

Natalia, as 0030537 fixed first use case (3rd one remains broken), but didn't mentioned it - could you please prepare a test case for this bug?

kgv

2020-09-12 10:35

developer  

tab8_draw_654_OK.png (9,508 bytes)

git

2020-09-29 12:09

administrator   ~0095459

Branch CR31762 has been created by kgv.

SHA-1: 151be2a7ae5c57c450fd13a58ad61b07eaea4b99


Detailed log of new commits:

Author: kgv
Date: Tue Sep 29 12:12:14 2020 +0300

    0031762: Visualization, Font_TextFormatter - tabulation length is respected with one extra symbol shift
    
    Integrate test case for checking various scenarios with tabulation symbol.

kgv

2020-09-29 13:48

developer   ~0095463

Please raise the patch
- OCCT branch: CR31762.

http://jenkins-test-12.nnov.opencascade.com:8080/view/CR31762-master-KGV/view/COMPARE/

bugmaster

2020-10-03 14:03

administrator   ~0095627

Combination -
OCCT branch : IR-2020-10-02
master SHA - 6522304c17181a09fa831c040219d611dc44b94a
a206de37fbfa0bf71bd534ae47192bbec23b8522
Products branch : IR-2020-10-02 SHA - d9c364e1137eed3249e5a05befa860c708f243c0
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 18085.050000000083 / 18057.60000000009 [+0.15%]
Products
Total CPU difference: 12174.620000000117 / 12124.200000000114 [+0.42%]
Windows-64-VC14:
OCCT
Total CPU difference: 19713.125 / 19772.65625 [-0.30%]
Products
Total CPU difference: 13533.8125 / 13527.921875 [+0.04%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention

git

2020-10-03 14:38

administrator   ~0095652

Branch CR31762 has been deleted by inv.

SHA-1: 151be2a7ae5c57c450fd13a58ad61b07eaea4b99

Related Changesets

occt: master 6183f3fe

2020-09-29 09:12:14

abv


Committer: abv Details Diff
0031762: Visualization, Font_TextFormatter - tabulation length is respected with one extra symbol shift

Integrate test case for checking various scenarios with tabulation symbol.
Affected Issues
0031762
add - tests/3rdparty/fonts/tabs Diff File

Issue History

Date Modified Username Field Change
2020-09-12 10:18 kgv New Issue
2020-09-12 10:18 kgv Assigned To => kgv
2020-09-12 10:18 kgv File Added: tab8_notepad_OK.png
2020-09-12 10:18 kgv File Added: tab8_notepad2_OK.png
2020-09-12 10:18 kgv File Added: tab8_draw_740_KO.png
2020-09-12 10:19 kgv File Added: tab8_draw_750_OK.png
2020-09-12 10:19 kgv Relationship added related to 0030537
2020-09-12 10:23 kgv Note Added: 0094529
2020-09-12 10:23 kgv Assigned To kgv => nds
2020-09-12 10:23 kgv Status new => assigned
2020-09-12 10:32 kgv Note Edited: 0094529
2020-09-12 10:34 kgv Product Version 7.4.0 => 6.6.0
2020-09-12 10:35 kgv File Added: tab8_draw_654_OK.png
2020-09-12 10:36 kgv Steps to Reproduce Updated
2020-09-12 10:42 kgv Relationship added child of 0023457
2020-09-29 06:34 nds Target Version 7.5.0 => 7.6.0
2020-09-29 11:00 kgv Assigned To nds => kgv
2020-09-29 11:00 kgv Target Version 7.6.0 => 7.5.0
2020-09-29 12:09 git Note Added: 0095459
2020-09-29 13:48 kgv Note Added: 0095463
2020-09-29 13:48 kgv Assigned To kgv => bugmaster
2020-09-29 13:48 kgv Status assigned => resolved
2020-09-29 13:48 kgv Status resolved => reviewed
2020-10-03 12:53 bugmaster Test case number => 3rdparty/fonts/tabs
2020-10-03 14:03 bugmaster Note Added: 0095627
2020-10-03 14:03 bugmaster Status reviewed => tested
2020-10-03 14:05 abv Changeset attached => occt master 6183f3fe
2020-10-03 14:05 abv Assigned To bugmaster => abv
2020-10-03 14:05 abv Status tested => verified
2020-10-03 14:05 abv Resolution open => fixed
2020-10-03 14:38 git Note Added: 0095652
2020-12-02 16:43 emo Fixed in Version => 7.5.0
2020-12-02 17:13 emo Status verified => closed